Add Pro Address
Query parameters
addressstringRequired
TRON address
plan_idinteger · int64Required
Plan ID
billing_modestring · enumRequiredPossible values:
Billing mode: SLOT|NO_SLOT
quota_modestring · enumRequiredPossible values:
Quota mode: UNLIMITED|ENERGY_QUOTA
quota_countinteger · int64Optional
Quota energy amount
is_auto_closablebooleanRequired
Auto-close if unused for 72 hours, true: enabled, false: disabled
idle_hoursinteger · int32 · min: 24OptionalDefault:
Idle time (hours) before auto-close, only effective when is_auto_closable=true
72expired_atinteger · int64Optional
Expiration time (milliseconds)
remarkstringOptional
Remark
Header parameters
CF-ACCESS-KEYstringRequiredExample:
The API access key.
your api keyCF-ACCESS-SIGNstringRequiredExample:
The Base64-encoded signature.
signatureCF-ACCESS-TIMESTAMPstringRequired
The UTC request timestamp (e.g. 2008-08-08T08:08:08.888Z).
Responses
200
OK
application/json
codeinteger · int32Optional
Returns 0 on success; all other values indicate errors
msgstringOptional
Error message returned when an error occurs
sub_codestringOptional
sub_msgstringOptional
post/v1/mate/open/pro
POST /v1/mate/open/pro?address=text&plan_id=1&billing_mode=SLOT"a_mode=UNLIMITED&is_auto_closable=true HTTP/1.1
Host: api.catfee.io
CF-ACCESS-KEY: text
CF-ACCESS-SIGN: text
CF-ACCESS-TIMESTAMP: text
Accept: */*
200
OK
{
"code": 1,
"msg": "text",
"sub_code": "text",
"sub_msg": "text",
"data": {
"id": 1,
"address": "text",
"plan_id": 1,
"plan_name_en": "text",
"plan_name_zh": "text",
"plan_subscription_sun": 1,
"plan_unit_sun": 1,
"billing_mode": "SLOT",
"quota_mode": "UNLIMITED",
"slot_next_billing_timestamp": 1,
"quantity": 1,
"used_quantity": 1,
"quota_count": 1,
"used_count": 1,
"quota_start_time": 1,
"total_slot_fee": 1,
"total_energy_fee": 1,
"remark": "text",
"is_auto_closable": true,
"idle_hours": 1,
"status": "ACTIVE",
"expired_at": 1,
"created_at": 1
}
}Last updated